> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single panel



## OpenAPI

````yaml /api/specs/energy-management-api.json get /energy-management/v1/panels/{id}
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for Energy Management service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /energy-management/v1/panels/{id}:
    get:
      tags:
        - Panels
      summary: Get a single panel
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 50
          required: true
          name: id
          in: path
      responses:
        '200':
          description: A single panel.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelSchema200'
        '400':
          description: Path parameter is invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelSchema200'
        '404':
          description: Panel not found.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PanelNotFoundErrorSchema'
                  - properties:
                      type:
                        type: string
                        enum:
                          - NOT_FOUND
                      code:
                        type: string
                        enum:
                          - PANEL_NOT_FOUND
                      message:
                        type: string
                      details:
                        type: object
                        properties: {}
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorSchema'
      security:
        - oauth2:
            - read:panel
components:
  schemas:
    PanelSchema200:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PanelSchema'
      required:
        - data
    PanelNotFoundErrorSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - NETWORK_NOT_FOUND
            - CHARGING_STATIONS_NOT_FOUND
        message:
          type: string
        details:
          type: object
          properties: {}
      required:
        - type
        - code
        - message
    InternalErrorSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        message:
          type: string
          enum:
            - An internal error occurred
      required:
        - type
        - message
    PanelSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          minLength: 1
          maxLength: 50
        networkId:
          type: string
          minLength: 1
          maxLength: 50
        locationId:
          type: string
          minLength: 1
          maxLength: 50
        voltageRating:
          type: string
          enum:
            - 208/240
            - '480'
        panelChargingType:
          type: string
          enum:
            - AC
            - DC
        powerRatingWatts:
          type: number
          nullable: true
        amperageRating:
          type: number
          minimum: 1
        phaseType:
          type: string
          enum:
            - 3-phase
            - 1-phase
        breakers:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                minLength: 1
                maxLength: 50
              sortOrder:
                type: number
                minimum: 1
              phase:
                type: string
                enum:
                  - AB
                  - BC
                  - CA
                  - ABC
                  - NONE
              amperageRating:
                type: number
                minimum: 1
              station1:
                type: object
                properties:
                  id:
                    type: string
                    minLength: 1
                    maxLength: 50
                required:
                  - id
              station2:
                type: object
                nullable: true
                properties:
                  id:
                    type: string
                    minLength: 1
                    maxLength: 50
                required:
                  - id
            required:
              - name
              - sortOrder
              - station1
        isArchived:
          type: boolean
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - networkId
        - locationId
        - voltageRating
        - phaseType
        - breakers
        - createdAt
        - updatedAt
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````